sectionSmooth {oce} | R Documentation

## Smooth a section

### Description

Smooth a section in the lateral (alpha version that may change)

### Usage

    sectionSmooth(section, method=c("spline", "barnes"), debug=getOption("oceDebug"), ...)

### Arguments

`section` | a `section` object containing the section to be smoothed. For `method="spline"`, the pressure levels must match for each station in the section.
`method` | specifies the method to use; see ‘Details’.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`...` | optional extra arguments, passed to either `smooth.spline` or `interpBarnes`.

### Details

This function should be used with caution, as should any operation that changes data. Although smoothing may be desirable to produce aesthetically-pleasing plots, it can also introduce artifacts that can lead to erroneous conclusions. The prudent analyst starts by comparing plots of the raw data with plots of the smoothed data.

For `method="spline"`, the section is smoothed using `smooth.spline` on individual pressure levels, with any parameters listed in `parameters` being passed to that function. If `df` is not present in `parameters`, then this function sets it to the number of stations divided by 5. Smoothing is done separately for temperature, salinity, and sigma-theta.

For the (much slower) `method="barnes"` method, smoothing is done across both horizontal and vertical coordinates, using `interpBarnes`. Any arguments in `...` being passed to that function; see ‘Examples’.

### Value

An object of `class` `"section"` that is smoother than the input section.

### Author(s)

Dan Kelley

### See Also

The documentation for `section-class` explains the structure of section objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(section)
    gs <- subset(section, 109<=stationId&stationId<=129)
    gsg <- sectionGrid(gs, p=seq(0, 5000, 150))
    gss1 <- sectionSmooth(gsg, "spline", df=16)
    plot(gss1)
    gss2 <- sectionSmooth(gsg, "barnes", xr=24, yr=100)
    plot(gss2)

[Package oce version 0.9-18 Index]